Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ox
Class XMLValidator

`java.lang.Object
oracle.toplink.ox.XMLValidator`

public class XMLValidator
extends java.lang.Object

Class used to validate XML. This is used to check if the XML created during a marshal operation would be valid XML before the marshal operation is performed.

Create an XMLValidator from an XMLContext.
Code Sample
`XMLContext context = new XMLContext("mySessionName");
XMLValidator validator = context.createValidator();
`

The validateRoot method is used to validate objects which are mapped to global elements in a schema and which have a default root element specified in the TopLink project. The validate method is used to validate all other mapped objects.

See Also:
  `XMLContext`

Field Summary
`static int` | `DTD_VALIDATION`
`static int` | `NONVALIDATING`
`static int` | `SCHEMA_VALIDATION`

Method Summary
`org.xml.sax.ErrorHandler` | `getErrorHandler()` Get the error handler to be used during validation
`void` | `setErrorHandler(org.xml.sax.ErrorHandler handler)` Set the error handler to be used during validation
`boolean` | `validate(java.lang.Object object)` Validate the given object.
`boolean` | `validateRoot(java.lang.Object rootObject)` Validate the given root object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONVALIDATING

    public static final int NONVALIDATING

  See Also:
    Constant Field Values

### SCHEMA_VALIDATION

    public static final int SCHEMA_VALIDATION

  See Also:
    Constant Field Values

### DTD_VALIDATION

    public static final int DTD_VALIDATION

  See Also:
    Constant Field Values

Method Detail

### validateRoot

    public boolean validateRoot(java.lang.Object rootObject)
                         throws XMLMarshalException

  Validate the given root object.
  Parameters:
    `rootObject` - A single root object to validate
  Returns:
    true if this is a valid object, otherwise false
  Throws:
    `XMLMarshalException`

### validate

    public boolean validate(java.lang.Object object)
                     throws XMLMarshalException

  Validate the given object.
  Parameters:
    `object` - A single object to validate
  Returns:
    true if this is a valid object, otherwise false
  Throws:
    `XMLMarshalException`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler handler)

  Set the error handler to be used during validation
  Parameters:
    `handler` - the error handler to be used during validation

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Get the error handler to be used during validation
  Returns:
    the error handler associated with this XMLValidator

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD